Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update the name or default status of an email identity.
cURL
curl --request PATCH \ --url https://api.useinvent.com/orgs/emails/identities/{identity_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "is_default": true, "click_tracking": true, "open_tracking": true } '
import requests url = "https://api.useinvent.com/orgs/emails/identities/{identity_id}" payload = { "name": "<string>", "is_default": True, "click_tracking": True, "open_tracking": True } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>', is_default: true, click_tracking: true, open_tracking: true}) }; fetch('https://api.useinvent.com/orgs/emails/identities/{identity_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/emails/identities/{identity_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'name' => '<string>', 'is_default' => true, 'click_tracking' => true, 'open_tracking' => true ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/emails/identities/{identity_id}" payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"is_default\": true,\n \"click_tracking\": true,\n \"open_tracking\": true\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://api.useinvent.com/orgs/emails/identities/{identity_id}") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"name\": \"<string>\",\n \"is_default\": true,\n \"click_tracking\": true,\n \"open_tracking\": true\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/emails/identities/{identity_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"<string>\",\n \"is_default\": true,\n \"click_tracking\": true,\n \"open_tracking\": true\n}" response = http.request(request) puts response.read_body
{ "id": "<string>", "email": "<string>", "name": "<string>", "status": "PENDING", "domain": { "id": "<string>", "domain": "<string>", "dkim_status": "PENDING", "dkim_tokens": [ { "name": "<string>", "value": "<string>" } ], "verified_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "is_default": true, "click_tracking": true, "open_tracking": true, "verified_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Bearer token authentication using your API key
The ID of the email identity
Schema for updating an email identity
Display name for the identity
255
Set as the default identity for the org
Enable or disable click tracking
Enable or disable open tracking
An email identity
Unique identifier for the email identity
Email address of the identity
Verification status of an email identity
PENDING
VERIFIED
FAILED
Linked email domain
Show child attributes
Whether this is the default identity for the org
Whether click tracking is enabled for this identity
Whether open tracking is enabled for this identity
Timestamp when the identity was verified
Timestamp when the identity was created
Timestamp when the identity was last updated
Was this page helpful?